Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168
Class PortletApplicationImpl

    java.lang.Object
      org.jboss.portal.portlet.impl.jsr168.PortletApplicationImpl

All Implemented Interfaces:
  PortletApplication

    public class PortletApplicationImpl

extends java.lang.Object
implements PortletApplication

Version:
  $Revision: 7226 $
Author:
  Julien Viet

Field Summary
`protected PortletApplicationContext` | `context` .
`protected JBossApplicationMetaData` | `jbossMetaData` .
`protected PortletApplicationMetaData` | `metaData` .
`protected PortletAPIFactory` | `portletAPIFactory` .
`protected PortletContext` | `portletContext` .
`protected PortletInfoFactory` | `portletInfoFactory` .
`protected java.util.Map` | `portletModes` .
`protected java.util.LinkedHashMap` | `portlets` .
`protected java.lang.String` | `version` .
`protected java.util.Map` | `windowStates` .

Constructor Summary
`PortletApplicationImpl(PortletApplicationMetaData metaData, JBossApplicationMetaData jbossMetaData, PortletApplicationContext context, PortletAPIFactory portletAPIFactory, PortletInfoFactory portletInfoFactory)`

Method Summary
`void` | `addContainer(PortletContainer container)`
`PortletApplicationContext` | `getContext()` Return the porlet application context.
`java.lang.String` | `getId()` Return the web app id.
`JBossApplicationMetaData` | `getJBossMetaData()`
`PortletApplicationMetaData` | `getMetaData()`
`PortletAPIFactory` | `getPortletAPIFactory()`
`PortletContainer` | `getPortletContainer(java.lang.String name)` Return a specific component.
`java.util.Set` | `getPortletContainers()` Return the set of components part of this web application.
`PortletContext` | `getPortletContext()`
`PortletInfoFactory` | `getPortletInfoFactory()`
`java.util.Map` | `getPortletModes()`
`java.lang.String` | `getVersion()`
`java.util.Map` | `getWindowStates()`
`void` | `removeContainer(PortletContainer container)`
`void` | `start()` Starts the application only.
`void` | `stop()` Stops the application only.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### metaData

    protected final PortletApplicationMetaData metaData

  .

### jbossMetaData

    protected final JBossApplicationMetaData jbossMetaData

  .

### context

    protected final PortletApplicationContext context

  .

### portletAPIFactory

    protected final PortletAPIFactory portletAPIFactory

  .

### portletInfoFactory

    protected final PortletInfoFactory portletInfoFactory

  .

### portlets

    protected java.util.LinkedHashMap portlets

  .

### portletContext

    protected PortletContext portletContext

  .

### version

    protected java.lang.String version

  .

### portletModes

    protected java.util.Map portletModes

  .

### windowStates

    protected java.util.Map windowStates

  .

Constructor Detail

### PortletApplicationImpl

    public PortletApplicationImpl(PortletApplicationMetaData metaData,
                                  JBossApplicationMetaData jbossMetaData,
                                  PortletApplicationContext context,
                                  PortletAPIFactory portletAPIFactory,
                                  PortletInfoFactory portletInfoFactory)

Method Detail

### getId

    public java.lang.String getId()

  Description copied from interface: `PortletApplication`
  Return the web app id.

  Specified by:
    `getId` in interface `PortletApplication`

### getPortletAPIFactory

    public PortletAPIFactory getPortletAPIFactory()

### getPortletInfoFactory

    public PortletInfoFactory getPortletInfoFactory()

### getMetaData

    public PortletApplicationMetaData getMetaData()

### getJBossMetaData

    public JBossApplicationMetaData getJBossMetaData()

### addContainer

    public void addContainer(PortletContainer container)

  Specified by:
    `addContainer` in interface `PortletApplication`

### removeContainer

    public void removeContainer(PortletContainer container)

  Specified by:
    `removeContainer` in interface `PortletApplication`

### start

    public void start()
               throws java.lang.Exception

  Description copied from interface: `PortletApplication`
  Starts the application only. It does not take care of starting its components.

  Specified by:
    `start` in interface `PortletApplication`
  Throws:
    `java.lang.Exception` - any exception preventing the start

### stop

    public void stop()

  Description copied from interface: `PortletApplication`
  Stops the application only. It does not take care of stopping its components.

  Specified by:
    `stop` in interface `PortletApplication`

### getVersion

    public java.lang.String getVersion()

### getPortletContext

    public PortletContext getPortletContext()

### getPortletModes

    public java.util.Map getPortletModes()

### getWindowStates

    public java.util.Map getWindowStates()

### getPortletContainers

    public java.util.Set getPortletContainers()

  Description copied from interface: `PortletApplication`
  Return the set of components part of this web application.

  Specified by:
    `getPortletContainers` in interface `PortletApplication`

### getPortletContainer

    public PortletContainer getPortletContainer(java.lang.String name)

  Description copied from interface: `PortletApplication`
  Return a specific component.

  Specified by:
    `getPortletContainer` in interface `PortletApplication`

### getContext

    public PortletApplicationContext getContext()

  Description copied from interface: `PortletApplication`
  Return the porlet application context.

  Specified by:
    `getContext` in interface `PortletApplication`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD